Package wx :: Class CheckListBox

[frames | no frames]

## Type CheckListBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                object --+   |
                         |   |
             ItemContainer --+
                             |
              ControlWithItems --+
                                 |
                           ListBox --+
                                     |
                                    CheckListBox

Proxy of C++ CheckListBox class

Method Summary
CheckListBox | `__init__(self, parent, id, pos, size, choices, style, validator, name)`
| ``Check`(*args, **kwargs)` Check(self, unsigned int index, int check=True)
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
int | `GetItemHeight(self)`
| ``IsChecked`(*args, **kwargs)` IsChecked(self, unsigned int index) -> bool

Property Summary
| `ItemHeight`: See `GetItemHeight`
| `thisown`: The membership flag

Instance Method Details

### Check(*args, **kwargs)

Check(self, unsigned int index, int check=True)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, style=0, validator=DefaultValidator, name=ListBoxNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.ListBox.Create` (inherited documentation)

### IsChecked(*args, **kwargs)

IsChecked(self, unsigned int index) -> bool

Property Details

### ItemHeight

See `GetItemHeight`

  Get Method:
    `GetItemHeight`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:11 2007 | http://epydoc.sf.net